
Figure - Bug #118831
【AF】【EVT3】【Monkey】110（616）版本Monkey测试18小时后异常停止
2023-06-19 10:41 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-19

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 110（616）

Resolution: DUPLICATE Degrated: No

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause: 同件问题

Description

【版本地址】

ftp://cdiot@192.168.87.46/Pre_figure/ReleaseBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-release_sorp/user/20230616/1624

【执行命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 12000000 2>/sdcard/error.txt 1>/sdcard/info.txt

【测试结果】

monkey异常停止，设备进入屏保

History

#1 - 2023-06-19 10:42 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118831

#2 - 2023-06-19 19:34 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 同件问题

■ 我的分析

device2, 与 #118345 是同件问题，需要使用06/17及之后的版本验证

---------

06-18 17:39:59.454 15172 15172 F DEBUG   : * 

06-18 17:39:59.454 15172 15172 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/4069:user/test-keys'

06-18 17:39:59.454 15172 15172 F DEBUG   : Revision: '0'

06-18 17:39:59.454 15172 15172 F DEBUG   : ABI: 'arm64'

06-18 17:39:59.454 15172 15172 F DEBUG   : Timestamp: 2023-06-18 17:39:59.107240126+0800

06-18 17:39:59.454 15172 15172 F DEBUG   : Process uptime: 0s

06-18 17:39:59.454 15172 15172 F DEBUG   : Cmdline: /system/bin/surfaceflinger
06-18 17:39:59.454 15172 15172 F DEBUG   : pid: 936, tid: 1164, name: Binder:936_3  >>> /system/bin/surfaceflinger <<<

06-18 17:39:59.454 15172 15172 F DEBUG   : uid: 1000

06-18 17:39:59.454 15172 15172 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0xffffffff7fffffe8

06-18 17:39:59.454 15172 15172 F DEBUG   :     x0  b400006f4c115338  x1  b400006dec2bcdd8  x2  b400006e1c6db250  x3  0000000000000001

06-18 17:39:59.454 15172 15172 F DEBUG   :     x4  b400006dec2bcdf0  x5  b400006dec2bcdf8  x6  b400006f3c2db3d0  x7  b400006f3c33ee80

06-18 17:39:59.454 15172 15172 F DEBUG   :     x8  b400006f3c2a5220  x9  ffffffff80000000  x10 0000000000000001  x11 0000000000000000

06-18 17:39:59.454 15172 15172 F DEBUG   :     x12 b400006f3c33ee80  x13 b400006f3c388f20  x14 0000000000000011  x15 0213e13dd54b5e7f

06-18 17:39:59.454 15172 15172 F DEBUG   :     x16 000000593aa9fe50  x17 00000070c32eb590  x18 0000006d96992000  x19 0000000000000000

06-18 17:39:59.454 15172 15172 F DEBUG   :     x20 b400006e1c6db250  x21 b400006dec2bcdd8  x22 ffffffffffffffff  x23 b400006dec2bcdd8

06-18 17:39:59.454 15172 15172 F DEBUG   :     x24 0000000000000008  x25 0000000000000000  x26 0000006d9a142ff8  x27 00000000000fc000

06-18 17:39:59.454 15172 15172 F DEBUG   :     x28 0000006d9a04a000  x29 0000006d9a142990

06-18 17:39:59.454 15172 15172 F DEBUG   :     lr  00000070c32f272c  sp  0000006d9a142990  pc  000000593a60fa4c  pst 0000000060001000

06-18 17:39:59.454 15172 15172 F DEBUG   : backtrace:

06-18 17:39:59.454 15172 15172 F DEBUG   :       #00 pc 000000000015ba4c  /system/bin/surfaceflinger (android::SortedVector<android::sp<android::Layer>

>::do_splat(void, void const*, unsigned long) const+72) (BuildId: 9e0bcc68ca3f92de507511bbb25ea8be)

06-18 17:39:59.454 15172 15172 F DEBUG   :       #01 pc 0000000000016728  /system/lib64/libutils.so (android::SortedVectorImpl::add(void const*)+224) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-18 17:39:59.454 15172 15172 F DEBUG   :       #02 pc 00000000001a4c60  /system/bin/surfaceflinger (android::SurfaceFlinger::onHandleDestroyed(android::BBinder*,

android::sp<android::Layer>&)+124) (BuildId: 9e0bcc68ca3f92de507511bbb25ea8be)

06-18 17:39:59.454 15172 15172 F DEBUG   :       #03 pc 000000000015b83c  /system/bin/surfaceflinger (android::Layer::LayerCleaner::~LayerCleaner()+72) (BuildId:

9e0bcc68ca3f92de507511bbb25ea8be)

06-18 17:39:59.454 15172 15172 F DEBUG   :       #04 pc 000000000015b7c4  /system/bin/surfaceflinger (virtual thunk to android::Layer::Handle::~Handle()+76) (BuildId:

9e0bcc68ca3f92de507511bbb25ea8be)

06-18 17:39:59.454 15172 15172 F DEBUG   :       #05 pc 000000000000ef34  /system/lib64/libutils.so (android::RefBase::decStrong(void const*) const+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-18 17:39:59.454 15172 15172 F DEBUG   :       #06 pc 0000000000053b84  /system/lib64/libbinder.so (android::IPCThreadState::processPendingDerefs()+136) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

06-18 17:39:59.454 15172 15172 F DEBUG   :       #07 pc 0000000000053c90  /system/lib64/libbinder.so (android::IPCThreadState::joinThreadPool(bool)+64) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

06-18 17:39:59.454 15172 15172 F DEBUG   :       #08 pc 0000000000080484  /system/lib64/libbinder.so (android::PoolThread::threadLoop()+28) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

06-18 17:39:59.454 15172 15172 F DEBUG   :       #09 pc 000000000001358c  /system/lib64/libutils.so (android::Thread::_threadLoop(void*)+264) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-18 17:39:59.454 15172 15172 F DEBUG   :       #10 pc 0000000000012de8  /system/lib64/libutils.so (thread_data_t::trampoline(thread_data_t const*)+408) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-18 17:39:59.454 15172 15172 F DEBUG   :       #11 pc 00000000000b6a24  /apex/com.android.runtime/lib64/bionic/libc.so (_pthread_start(void*)+264) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

06-18 17:39:59.454 15172 15172 F DEBUG   :       #12 pc 00000000000532bc  /apex/com.android.runtime/lib64/bionic/libc.so (_start_thread+68) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

---------

device3，与 #118052 是同件问题，在118052中跟踪, 客户jira票33351

---------

11-11 22:40:12.104 24501 24501 F DEBUG   : * 

11-11 22:40:12.104 24501 24501 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/4069:user/test-keys'

11-11 22:40:12.104 24501 24501 F DEBUG   : Revision: '0'

11-11 22:40:12.104 24501 24501 F DEBUG   : ABI: 'arm64'

11-11 22:40:12.104 24501 24501 F DEBUG   : Timestamp: 2022-11-11 22:40:11.826684278+0800

11-11 22:40:12.104 24501 24501 F DEBUG   : Process uptime: 0s

11-11 22:40:12.104 24501 24501 F DEBUG   : Cmdline: /system/bin/surfaceflinger

11-11 22:40:12.105 24501 24501 F DEBUG   : pid: 988, tid: 988, name: surfaceflinger  >>> /system/bin/surfaceflinger <<<

11-11 22:40:12.105 24501 24501 F DEBUG   : uid: 1000

11-11 22:40:12.105 24501 24501 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x0
11-11 22:40:12.105 24501 24501 F DEBUG   : Cause: null pointer dereference

11-11 22:40:12.105 24501 24501 F DEBUG   :     x0  b4000077fe72e0e8  x1  0000007fcd0ea948  x2  000000768e5997b0  x3  0000007fcd0ea788

11-11 22:40:12.105 24501 24501 F DEBUG   :     x4  0000000000000018  x5  00000000ffffffff  x6  00000000ffffffff  x7  747465732e64696f

11-11 22:40:12.105 24501 24501 F DEBUG   :     x8  b4000077fe72ba10  x9  00000000000026d8  x10 0000000000000000  x11 0000000000000a00

11-11 22:40:12.105 24501 24501 F DEBUG   :     x12 0000000000000014  x13 00000000adfa62a4  x14 b40000776e69f5d8  x15 0000000000000000

11-11 22:40:12.105 24501 24501 F DEBUG   :     x16 00000062825aad08  x17 0000007983459ec0  x18 000000798493a000  x19 0000000000000000

11-11 22:40:12.105 24501 24501 F DEBUG   :     x20 0000007fcd0ea948  x21 b4000077fe72e0e8  x22 0000043800000a00  x23 b4000077fe72ba10

11-11 22:40:12.105 24501 24501 F DEBUG   :     x24 0000007983b23240  x25 b40000780e55f010  x26 00000079841dc000  x27 0000000000000438

11-11 22:40:12.105 24501 24501 F DEBUG   :     x28 0000000000000000  x29 0000007fcd0ea840

11-11 22:40:12.105 24501 24501 F DEBUG   :     lr  000000628211e830  sp  0000007fcd0ea840  pc  0000007983459ee0  pst 0000000060001000

11-11 22:40:12.105 24501 24501 F DEBUG   : backtrace:

11-11 22:40:12.105 24501 24501 F DEBUG   :       #00 pc 000000000000eee0  /system/lib64/libutils.so (android::RefBase::decStrong(void const) const+32) (BuildId:

b940f836006eead456c936e97e64d2d4)

11-11 22:40:12.105 24501 24501 F DEBUG   :       #01 pc 000000000015f82c  /system/bin/surfaceflinger (android::LayerRenderArea::render(std::__1::function<void

()>)+944) (BuildId: 9e0bcc68ca3f92de507511bbb25ea8be)

11-11 22:40:12.105 24501 24501 F DEBUG   :       #02 pc 00000000001c6958  /system/bin/surfaceflinger (ZNSt3

_120__packaged_task_funcIZN7android14SurfaceFlinger19captureScreenCommonENS_6futureINS_10unique_ptrINS1_10RenderAreaENS_14default_deleteIS5_EEEEE

ENS_8functionIFvRKNSA_IFvPNS1_5LayerEEEEEEERKNS_10shared_ptrINS1_12renderengine15ExternalTextureEEEbbRKNS1_2spINS1_3gui22IScreenCaptureListen

erEEEE4$_93NS_9allocatorISV_EEFvvEEclEv$8fd14edc326db0e9be510f46fb0c4dd5+368) (BuildId: 9e0bcc68ca3f92de507511bbb25ea8be)

11-11 22:40:12.105 24501 24501 F DEBUG   :       #03 pc 00000000001c6224  /system/bin/surfaceflinger (

ZN7android4TaskIZNS_14SurfaceFlinger19captureScreenCommonENSt3

_16futureINS2_10unique_ptrINS_10RenderAreaENS2_14default_deleteIS5_EEEEEENS2_8functionIFvRKNSA_IFvPNS_5LayerEEEEEEERKNS2_10shared_ptrINS_12r

enderengine15ExternalTextureEEEbbRKNS_2spINS_3gui22IScreenCaptureListenerEEEE4$_93E13handleMessageERKNS_7MessageE$8fd14edc326db0e9be510f46fb0c4d

d5+92) (BuildId: 9e0bcc68ca3f92de507511bbb25ea8be)

11-11 22:40:12.105 24501 24501 F DEBUG   :       #04 pc 0000000000017f64  /system/lib64/libutils.so (android::Looper::pollInner(int)+372) (BuildId:

b940f836006eead456c936e97e64d2d4)

11-11 22:40:12.105 24501 24501 F DEBUG   :       #05 pc 0000000000017d84  /system/lib64/libutils.so (android::Looper::pollOnce(int, int*, int*, void**)+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

11-11 22:40:12.105 24501 24501 F DEBUG   :       #06 pc 000000000016f8fc  /system/bin/surfaceflinger (android::impl::MessageQueue::waitMessage()+88) (BuildId:

9e0bcc68ca3f92de507511bbb25ea8be)

11-11 22:40:12.105 24501 24501 F DEBUG   :       #07 pc 000000000018912c  /system/bin/surfaceflinger (android::SurfaceFlinger::run()+100) (BuildId:

9e0bcc68ca3f92de507511bbb25ea8be)

11-11 22:40:12.105 24501 24501 F DEBUG   :       #08 pc 00000000001d71a0  /system/bin/surfaceflinger (main+1640) (BuildId: 9e0bcc68ca3f92de507511bbb25ea8be)

11-11 22:40:12.105 24501 24501 F DEBUG   :       #09 pc 000000000004a084  /apex/com.android.runtime/lib64/bionic/libc.so (__libc_init+100) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

---------

#3 - 2023-07-25 16:26 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

7.25

该问题给出了明确的修复方案，如有新的monkey停止再另起票

先关闭此问题

#4 - 2023-07-25 16:26 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
